# Dagger Runtime Benchmark

This simple app illustrates the time to execution in a dagger context between:

1. Container build -> Run
1. Application Image pull -> Run
1. Wasm runtime pull -> Download wasm binary -> Run
1. Base image pull -> Download Binary -> Run

## Run

### With shuttle (Optional)

```bash
shuttle run bench
```

### With Cargo (Optional)

```bash
cargo run > reports/results.md
```
